package com.shcd.entity.dredging;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

/**
 * 疏浚船舶字典表
 * @TableName D_DREDGING_SHIP
 */
@TableName(value ="GHJG_CHANNEL.D_DREDGING_SHIP")
@Data
public class DDredgingShip implements Serializable {
    /**
     * 该表的编号
     */
    @TableField(value = "ID")
    private String id;

    /**
     * 船舶编号
     */
    @TableId(value = "SHIP_CODE")
    private String shipCode;

    /**
     * 船舶名称
     */
    @TableField(value = "SHIP_NAME")
    private String shipName;

    /**
     * 0 未删除
     */
    @TableField(value = "IS_DELETE")
    private Integer isDelete;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}